
Redmine - Patch #29391

Show version status in Roadmap and Version pages

2018-08-15 21:18 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Currently, it is quite hidden and hard to see the version status and because of this, most of our versions remain Open (completed).

Roadmap:

 index.png 

Version show:

 show.png 

Any feedback is welcome, especially on the statuses badge color.

Related issues:

Related to Redmine - Feature #33254: Show open/closed badge on issue page Closed

Associated revisions

Revision 18052 - 2019-04-09 16:45 - Go MAEDA

Move styles for count and private to a new class named 'badge' (#29391).

Patch by Marius BALTEANU.

Revision 18053 - 2019-04-09 16:48 - Go MAEDA

Show version status as badge in rodmap#index and roadmap#show (#29391).

Patch by Marius BALTEANU.

History

#1 - 2018-08-15 21:19 - Marius BĂLTEANU

- Description updated

#2 - 2018-08-16 14:54 - Go MAEDA

I am in favor of the idea to show the current status of versions. As Marius wrote, it is not easy to know the current status of versions.

But I don't like to use class names such as "light-blue" and "red". Theme developers may define a different appearance for the element. And future

versions of Redmine switch the color.

#3 - 2018-08-16 19:19 - Marius BĂLTEANU

Go MAEDA wrote:

I am in favor of the idea to show the current status of versions. As Marius wrote, it is not easy to know the current status of versions.

But I don't like to use class names such as "light-blue" and "red". Theme developers may define a different appearance for the element. And

future versions of Redmine switch the color.

 You’re right, I don’t know what was in my head when I made mixed classes. I’ll update the patch.

#4 - 2018-08-21 21:36 - Marius BĂLTEANU

- File deleted (0001-Move-styles-for-count-and-private-to-a-new-class-nam.patch)

#5 - 2018-08-21 21:36 - Marius BĂLTEANU
- File deleted (0002-show-version-status-as-badge-in-rodmap-index-and-roa.patch)

#6 - 2018-08-21 21:37 - Marius BĂLTEANU

- File 0001-Move-styles-for-count-and-private-to-a-new-class-nam.patch added

- File 0002-show-version-status-as-badge-in-rodmap-index-and-roa.patch added

Updated the patches.

#7 - 2018-08-25 10:34 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2018-08-26 21:08 - Marius BĂLTEANU

- File 0002-show-version-status-as-badge-in-rodmap-index-and-roa.patch added

Updated the patch to use the same green color from done ratio / version progress bar.

#9 - 2018-08-26 21:08 - Marius BĂLTEANU

- File deleted (0002-show-version-status-as-badge-in-rodmap-index-and-roa.patch)

#10 - 2018-09-17 16:18 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#11 - 2018-12-16 17:04 - Marius BĂLTEANU

- File deleted (0001-Move-styles-for-count-and-private-to-a-new-class-nam.patch)

#12 - 2018-12-16 17:04 - Marius BĂLTEANU

- File deleted (0002-show-version-status-as-badge-in-rodmap-index-and-roa.patch)

#13 - 2018-12-16 17:09 - Marius BĂLTEANU

- File 0001-Move-styles-for-count-and-private-to-a-new-class-nam.patch added

- File 0002-Show-version-status-as-badge-in-rodmap-index-and-roa.patch added

Update the patches for the current trunk.

The "Private" badge from issue page is rendered inside a h3 element, the versions status is rendered outside the h3 and because of that, the styles

differ. We should render also the version status badge inside the "h" element or we should apply some style from h element directly to .badge class in

order to have the same "look and feel"?

#14 - 2018-12-17 17:40 - Bernhard Rohloff

Marius BALTEANU wrote:

Update the patches for the current trunk.

The "Private" badge from issue page is rendered inside a h3 element, the versions status is rendered outside the h3 and because of that, the

styles differ. We should render also the version status badge inside the "h" element or we should apply some style from h element directly to

.badge class in order to have the same "look and feel"?

 I also agree that things should be handled the same way on every view. As the private badge is also a badge and has nothing to do with the heading

at all, my favorite approach would be to take it out of the heading, give the classes "badge" and "private"  and align it to the heading by setting the

display property of the h3 element to inline-block. That's understandable, clean, and introduces badges as an official design element so that plugins

like redmine_tags can rely on.

#15 - 2018-12-18 06:16 - Anonymous

+1 471854100984758274.png 

#16 - 2019-03-03 09:12 - Go MAEDA

Since the status "OPEN" is a very normal status for versions, I think that showing the status "OPEN" is not necessary and showing "CLOSED" and

"LOCKED" is enough. I am anxious that the Roadmap page will be filled with many "OPEN" and users may feel those as distractions.

#17 - 2019-04-04 21:04 - Marius BĂLTEANU
- File style.png added

- File 0001-New-styles-for-status-badges.patch added

Go MAEDA wrote:

Since the status "OPEN" is a very normal status for versions, I think that showing the status "OPEN" is not necessary and showing "CLOSED"

and "LOCKED" is enough. I am anxious that the Roadmap page will be filled with many "OPEN" and users may feel those as distractions.

 What do you think if we change the badge styles to something less prominent for users?

Personally, I prefer to show all statuses because it's easier for users to scan visually when there are multiple versions with mixed statuses: "Closed,

Closed, Open, Open, Locked" vs "Closed, Closed, , , Locked".

 style.png 

#18 - 2019-04-04 21:07 - Marius BĂLTEANU

Bernhard Rohloff wrote:

I also agree that things should be handled the same way on every view. As the private badge is also a badge and has nothing to do with the

heading at all, my favorite approach would be to take it out of the heading, give the classes "badge" and "private"  and align it to the heading by

setting the display property of the h3 element to inline-block. That's understandable, clean, and introduces badges as an official design element

so that plugins like redmine_tags can rely on.

 Agree, but I'll do it in another ticket.

#19 - 2019-04-09 16:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

#20 - 2019-08-30 02:20 - Go MAEDA

- Category changed from UI to Roadmap

#21 - 2020-04-05 09:53 - Go MAEDA

- Related to Feature #33254: Show open/closed badge on issue page added

Files

show.png 87.2 KB 2018-08-15 Marius BĂLTEANU

index.png 267 KB 2018-08-15 Marius BĂLTEANU

0001-Move-styles-for-count-and-private-to-a-new-class-nam.patch 6 KB 2018-12-16 Marius BĂLTEANU

0002-Show-version-status-as-badge-in-rodmap-index-and-roa.patch 4.09 KB 2018-12-16 Marius BĂLTEANU

style.png 199 KB 2019-04-04 Marius BĂLTEANU

0001-New-styles-for-status-badges.patch 984 Bytes 2019-04-04 Marius BĂLTEANU
